Received: from mnm [127.0.0.1]
	by localhost with POP3 (fetchmail-5.9.0)
	for akpm@localhost (single-drop); Sun, 08 Feb 2004 12:52:57 -0800 (PST)
Received: from fire-1.osdl.org (air1.pdx.osdl.net [172.20.0.5])
	by mail.osdl.org (8.11.6/8.11.6) with ESMTP id i18KmdE29325
	for <akpm@osdl.org>; Sun, 8 Feb 2004 12:48:39 -0800
Received: from pumpkin.fieldses.org (Debian-exim@dsl093-002-214.det1.dsl.speakeasy.net [66.93.2.214])
	by fire-1.osdl.org (8.12.8/8.12.8) with ESMTP id i18KmcpS022274
	for <akpm@osdl.org>; Sun, 8 Feb 2004 12:48:38 -0800
Received: from bfields by pumpkin.fieldses.org with local (Exim 4.30)
	id 1Apvr1-0007Ji-TV; Sun, 08 Feb 2004 15:48:35 -0500
Date: Sun, 8 Feb 2004 15:48:35 -0500
To: Andrew Morton <akpm@osdl.org>
Cc: neilb@cse.unsw.edu.au, nfs@lists.sourceforge.net
Subject: [PATCH] kNFSd - 5 of 5 - fix build problems in nfs w/o proc_fs
Message-ID: <20040208204835.GF27482@fieldses.org>
References: <20040206161050.27799.patches@notabene> <E1AoyIo-0007FS-00@notabene> <20040207012423.396efe73.akpm@osdl.org> <20040208043723.GC13391@fieldses.org> <20040207214637.387d3018.akpm@osdl.org> <20040208055921.GA14053@fieldses.org> <20040208203018.GA27482@fieldses.org>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20040208203018.GA27482@fieldses.org>
User-Agent: Mutt/1.5.5.1+cvs20040105i
From: "J. Bruce Fields" <bfields@fieldses.org>
X-MIMEDefang-Filter: osdl$Revision: 1.48 $
X-Scanned-By: MIMEDefang 2.36
X-Spam-Checker-Version: SpamAssassin 2.60 (1.212-2003-09-23-exp) on mnm
X-Spam-Level: 
X-Spam-Status: No, hits=-4.9 required=2.0 tests=BAYES_00 autolearn=ham 
	version=2.60


NFS won't build w/o CONFIG_PROC_FS.  Looks like typo's (or a C++ programmer)
in stats.h

(From neilb)


 include/linux/sunrpc/stats.h |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff -puN include/linux/sunrpc/stats.h~neil_proc_fs_build_fix include/linux/sunrpc/stats.h
--- linux-2.6.1/include/linux/sunrpc/stats.h~neil_proc_fs_build_fix	2004-02-08 01:53:03.000000000 -0500
+++ linux-2.6.1-bfields/include/linux/sunrpc/stats.h	2004-02-08 01:53:03.000000000 -0500
@@ -64,11 +64,12 @@ static inline struct proc_dir_entry *rpc
 static inline void rpc_proc_unregister(const char *p) {}
 static inline void rpc_proc_zero(struct rpc_program *p) {}
 
-static inline struct proc_dir_entry *svc_proc_register(struct svc_stat *s
-						       struct file_operations *) { return NULL; }
+static inline struct proc_dir_entry *svc_proc_register(struct svc_stat *s,
+						       struct file_operations *f) { return NULL; }
 static inline void svc_proc_unregister(const char *p) {}
 
-static inline void svc_seq_show(struct seq_file *, const struct svc_stat *) {}
+static inline void svc_seq_show(struct seq_file *seq, 
+				const struct svc_stat *st) {}
 
 #define proc_net_rpc NULL
 

_
